<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\GoalsUnitsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\GoalsUnitsTable Test Case
 */
class GoalsUnitsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\GoalsUnitsTable
     */
    public $GoalsUnits;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.goals_units',
        'app.goals',
        'app.units',
        'app.groups',
        'app.health_insurance_plans',
        'app.hospitalizations',
        'app.origins',
        'app.signs',
        'app.users',
        'app.roles',
        'app.log',
        'app.units_users'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('GoalsUnits') ? [] : ['className' => 'App\Model\Table\GoalsUnitsTable'];
        $this->GoalsUnits = TableRegistry::get('GoalsUnits', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->GoalsUnits);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
